Bug 31576 - [21.11] Cannot place hold even when AllowHoldPolicyOverride should allow it
Summary: [21.11] Cannot place hold even when AllowHoldPolicyOverride should allow it
Status: Signed Off
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: 21.11
Hardware: All All
: P5 - low normal (vote)
Assignee: Kyle M Hall
QA Contact: Martin Renvoize
URL:
Keywords: rel_21_11_candidate
Depends on:
Blocks:
 
Reported: 2022-09-16 14:57 UTC by Kyle M Hall
Modified: 2022-11-16 14:23 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 31576: Cannot place hold even when AllowHoldPolicyOverride should allow it (1.94 KB, patch)
2022-09-16 15:01 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 31576: Cannot place hold even when AllowHoldPolicyOverride should allow it (1.99 KB, patch)
2022-09-18 20:59 UTC, David Nind
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2022-09-16 14:57:45 UTC
This bug appears in Koha 21.11 only ( behavior changes to bug 31575 with 22.05 and later ). If only some item holds can be forced, but others cannot ( because they have to pickup locations ), the place holds button remains disabled even though the hold can be placed.

Test Plan:
1) Set one circ rule to allow 0 holds
2) For Library A, set "Hold pickup library match" to "item's hold group"
3) Enable AllowHoldPolicyOverride
4) Set ReservesControlBranch to "item's home branch"
5) Create a record with an item for Library A, one for Library B, and one for Library C
   This should create a scenario where A's item cannot be held, and B and C's items must be overridden
6) Note you cannot place the hold because the button is disabled.
Comment 1 Kyle M Hall 2022-09-16 15:01:00 UTC
Created attachment 140711 [details] [review]
Bug 31576: Cannot place hold even when AllowHoldPolicyOverride should allow it

This bug appears in Koha 21.11 only ( behavior changes to bug 31575 with 22.05 and later ). If only some item holds can be forced, but others cannot ( because they have to pickup locations ), the place holds button remains disabled even though the hold can be placed.

Test Plan:
1) Set one circ rule to allow 0 holds
2) For Library A, set "Hold pickup library match" to "item's hold group"
3) Enable AllowHoldPolicyOverride
4) Set ReservesControlBranch to "item's home branch"
5) Create a record with an item for Library A, one for Library B, and one for Library C
   This should create a scenario where A's item cannot be held, and B and C's items must be overridden
6) Note you cannot place the hold because the button is disabled.
7) Apply this patch
8) Restart all the things!
9) Reload the page, the place hold button should now be enabled!
Comment 2 David Nind 2022-09-18 20:57:31 UTC
Hi Kyle, have changed the assignee to you rather than being the QA Contact.
Comment 3 David Nind 2022-09-18 20:59:08 UTC
Created attachment 140738 [details] [review]
Bug 31576: Cannot place hold even when AllowHoldPolicyOverride should allow it

This bug appears in Koha 21.11 only ( behavior changes to bug 31575 with 22.05 and later ). If only some item holds can be forced, but others cannot ( because they have to pickup locations ), the place holds button remains disabled even though the hold can be placed.

Test Plan:
1) Set one circ rule to allow 0 holds
2) For Library A, set "Hold pickup library match" to "item's hold group"
3) Enable AllowHoldPolicyOverride
4) Set ReservesControlBranch to "item's home branch"
5) Create a record with an item for Library A, one for Library B, and one for Library C
   This should create a scenario where A's item cannot be held, and B and C's items must be overridden
6) Note you cannot place the hold because the button is disabled.
7) Apply this patch
8) Restart all the things!
9) Reload the page, the place hold button should now be enabled!

Signed-off-by: David Nind <david@davidnind.com>
Comment 4 Kyle M Hall 2022-09-20 12:20:13 UTC
(In reply to David Nind from comment #2)
> Hi Kyle, have changed the assignee to you rather than being the QA Contact.

Oops. Thanks David!
Comment 5 Marcel de Rooy 2022-10-21 07:34:56 UTC
Shouldnt this be pushed to the queue of the RMaint of 21.11 ?
Comment 6 Nick Clemens 2022-11-16 14:23:35 UTC
(In reply to Marcel de Rooy from comment #5)
> Shouldnt this be pushed to the queue of the RMaint of 21.11 ?

Yes, but still could use a QA eye ;-)